%% main program; verification of a solution of the extended system with local uniqueness
clear
format long;
  intvalinit('displayinfsup');
     load('R4.8072N42.mat')
%% interval the data %%
PI= acos(intval('-1'));
iR=intval(R);
iPhi=intval(Phi);
iPsi=intval(Psi);
ialpha=intval(alpha); 
iD1=intval(zeros(N+N/2*(N+1),N+N/2*(N+1)));
  %(triangle  Theta_1(i), triangle  Theta_1(j))_L^2
  iD2=intval(zeros(N/2*(3*N+1),N/2*(3*N+1)));
  %(triangle Theta_2(i), triangle Theta_2(j))_L^2
  iL1=intval(zeros(N+N/2*(N+1),N+N/2*(N+1))); %( Theta_1(i),  Theta_1(j))_L^2
  iL2=intval(zeros(N/2*(3*N+1),N/2*(3*N+1))); %( Theta_2(i),  Theta_2(j))_L^2
  for i=1:3*N/2
      i1=list2(i,1);
      i2=list2(i,2);
      iD1(i,i)=(i1^2*ialpha^2+i2^2)^2*2*PI^2/ialpha;
      iL1(i,i)=2*PI^2/ialpha;

  end
  for i=3*N/2+1:N+N/2*(N+1)
      i1=list2(i,1);
      i2=list2(i,2);
      
      iD1(i,i)=(i1^2*ialpha^2+i2^2)^2*4*PI^2/ialpha*2;
      iL1(i,i)=4*PI^2/ialpha*2;
    
  end
  for i=1:N^2/2
      i1=list3(i,1);
      i2=list3(i,2);
      iD2(i,i)=(i1^2*ialpha^2+i2^2)^2*4*PI^2/ialpha;
      iL2(i,i)=4*PI^2/ialpha;
  end
  for i=N^2/2+1:N/2*(3*N+1)
      i1=list3(i,1);
      i2=list3(i,2);
      iD2(i,i)=(i1^2*ialpha^2+i2^2)^2*2*PI^2/ialpha;
       iL2(i,i)=2*PI^2/ialpha;
  end
  disp('Dfinished') 
  %% in order to save some time, we treat some data as vectors
  L1=list2(:,1);
 L2=list2(:,2);
 K1=list3(:,1);
 K2=list3(:,2);
  inormest% estimate some norm and L2-inner product
  %% some constants
C1=intval('1')/(ialpha^3*(N+1)^3);
C2=intval('1')/(ialpha^2*(N+1)^2);
C3=max(sup(intval('1')),sup(2*sqrt(intval('3'))/(intval('9')*ialpha^2)));
C4=max(sup(intval('1')/(N+1)^2),sup(2*sqrt(intval('3'))/(intval('9')*ialpha^2*(N+1)^2)));
C5=intval('1')/(ialpha*(N+1));
C6=max(sup(intval('1')),intval('1')/(intval('2')*ialpha));
C7=max(sup(intval('1'))/(N+1),intval('1')/(2*ialpha*(N+1)));
C8=sqrt(ialpha)/(2*PI);
C9=intval('1.1548')/sqrt(intval('3'))*sqrt((ialpha^2+1)/ialpha);
C10=PI*intval('0.44722')/intval('3')*sqrt((intval('9')*ialpha^4+intval('10')*ialpha^2+intval('9'))/(intval('5')*ialpha^3));
C11=ialpha^(-3)*C8+ialpha^(-2)*C9+ialpha^(-1)*C10;
C12=C1*C8+C2*C9+C5*C10;
C13=ialpha^(-2)*C8+ialpha^(-1)*C9+C10;
  C14=sqrt(1/(2*PI^2*N^2)*(3*PI/8+2/(3*ialpha^3)));
C15=C3*C8+C6*C9+C10;
  C16=sqrt(ialpha/(2*PI^2*N^2)*(3*PI/(8*ialpha^3)+intval('2')/(intval('3'))));
%% initial value, see how to choose initial values at the paragraph after Algorithm 5.3%%
    w=intval(ones(Ms+Ma+3,1))*2E-26; 
% w(Ms+Ma+1)=1.6E-10; % \tilde{R}
w(Ms+Ma+2)=5E-13; %u_\perp
w(Ms+Ma+3)=4E-7; %v_\perp 

      iG11=intval(zeros(Ms,Ms)); 
  %((triangle Phi^{(n)})_y(Theta1_i)_x-(Theta1_i)_y(triangle Phi^{(n)})_x
  %+(Phi^{(n)})_x(triangle Theta1_i)_y-(\Phi^{(n)})_y(triangle
%   Theta1_i)_x, Theta_1(j))_{L^2}*R+(triangle^2 Theta1_i,Theta1_j)_{L^2}
  iG21=intval(zeros(Ma,Ms));
  %((triangle Psi^{(n)})_y(Theta1_i)_x-(Theta1_i)_y(triangle Psi^{(n)})_x
  %+(Psi^{(n)})_x(triangle Theta1_i)_y-(\Psi^{(n)})_y(triangle Theta1_i)_x, Theta2_j)_{L^2}*R
   iG22=intval(zeros(Ma,Ma));
  %((triangle Phi^{(n)})_y(Theta2_i)_x-(Theta2_i)_y(triangle Phi^{(n)})_x
  %+(Phi^{(n)})_x(triangle Theta2_i)_y-(\Phi^{(n)})_y(triangle Theta2_i)_x,Theta2_j)_{L^2}*R
   %+(triangle^2 Theta2_i,Theta2_j)_{L^2}
   iG13=intval(zeros(Ms,1));
   %((\Phi^{(n)})_x(\triangle \Phi^{(n)})_y-(\Phi^{(n)})_y(\triangle \Phi^{(n)})_x,Theta1_j)_{L^2}
    iG23=intval(zeros(Ma,1));
  %((\Psi^{(n)})_x(\triangle \Phi^{(n)})_y-(\Psi^{(n)}_y(\triangle \Phi^{(n)})_x
                       %+((\Phi^{(n)})_x(\triangle\Psi^{(n)})_y-(\Phi^{(n)})_y(\triangle \Psi^{(n)})_x,Theta2_j)_{L^2}
tic
g1=(-iPhi.*(L1.^2*ialpha^2+L2.^2).*L2*L1' ...
           -iPhi.*L1*((L1.^2*ialpha^2+L2.^2).*L2)'+(iPhi.*(L1.^2*ialpha^2+L2.^2).*L1)*L2' ...
           +iPhi.*L2*((L1.^2*ialpha^2+L2.^2).*L1)')*PI^2;
g2=(-iPhi.*(L1.^2*ialpha^2+L2.^2).*L2*L1' ...
           +iPhi.*L1*((L1.^2*ialpha^2+L2.^2).*L2)'-(iPhi.*(L1.^2*ialpha^2+L2.^2).*L1)*L2' ...
           +iPhi.*L2*((L1.^2*ialpha^2+L2.^2).*L1)')*PI^2;       
for j=1:Ms  
           j1=list2(j,1); 
          j2=list2(j,2); 
          tj=ss(j); 
 for i=1:Ms
      i1=list2(i,1); 
      i2=list2(i,2); 
         ti=ss(i);
             iG11(j,i)=iG11(j,i)+sum(g1(:,i).*(((i1==j1+L1) & (i2==j2+L2)) |((L1==i1+j1)&(L2==i2+j2))) ...
                  +g2(:,i).*(((i1==j1+L1) & (-i2==j2+L2)) |((L1==i1+j1)&(L2==-i2+j2))) .*ti ...
                      +g1(:,i).*(((i1==j1+L1) & (i2==-j2+L2)) |((L1==i1+j1)&(L2==i2-j2))).*tj ...
                      -g2(:,i).*ss.*(((i1==j1+L1) & (i2==j2-L2)) |((L1==i1+j1)&(-L2==i2+j2))) ...
                      +g2(:,i).*tj.*ti.*(((i1==j1+L1) & (-i2==-j2+L2)) |((L1==i1+j1)&(L2==-i2-j2))) ...
                      -g1(:,i).*ss.*ti.*(((i1==j1+L1) & (-i2==j2-L2)) |((L1==i1+j1)&(-L2==-i2+j2))) ...
                      -g2(:,i).*ss.*tj.*(((i1==j1+L1) & (i2==-j2-L2)) |((L1==i1+j1)&(-L2==i2-j2))) ...
                      -g1(:,i).*ss.*tj.*ti.*(((i1==j1+L1) & (i2==j2+L2)) |((L1==i1+j1)&(L2==i2+j2))) ...
                      -g1(:,i).*((j1==i1+L1)&(j2==i2+L2)) -g2(:,i).*((j1==i1+L1)&(j2==-i2+L2)).*ti ...
                        -g1(:,i).*((j1==i1+L1)&(-j2==i2+L2))*tj  +g2(:,i).*ss.*((j1==i1+L1)&(j2==i2-L2)) ...
                      -g2(:,i).*((j1==i1+L1)&(-j2==-i2+L2)).*ti.*tj +g1(:,i).*((j1==i1+L1)&(j2==-i2-L2)).*ti.*ss ...
                      +g2(:,i).*((j1==i1+L1)&(-j2==i2-L2)) .*ss.*tj +g1(:,i).*((j1==i1+L1)&(j2==i2+L2)).*ti.*ss.*tj); 
 end
end
toc  
 disp('G11finished')
 tic
 g1=(-iPsi.*(K1.^2*ialpha^2+K2.^2).*K2*L1' ...
                      -iPsi.*K1*((L1.^2*ialpha^2+L2.^2).*L2)'+iPsi.*(K1.^2*ialpha^2+K2.^2).*K1*L2' ...
                      +iPsi.*K2*((L1.^2*ialpha^2+L2.^2).*L1)')*PI^2;
g2=(iPsi.*(K1.^2*ialpha^2+K2.^2).*K2*L1' ...
                      -iPsi.*K1*((L1.^2*ialpha^2+L2.^2).*L2)'+iPsi.*(K1.^2*ialpha^2+K2.^2).*K1*L2' ...
                      -iPsi.*K2*((L1.^2*ialpha^2+L2.^2).*L1)')*PI^2; %k2<0 
 for j=1:Ma   
          j1=list3(j,1); 
          j2=list3(j,2); 
          tj=sa(j);
  for i=1:Ms 
      i1=list2(i,1); 
      i2=list2(i,2);
      ti=ss(i); 
                iG21(j,i)=iG21(j,i)+sum(g1(:,i).*(((i1==j1+K1) & (i2==j2+K2)) |((K1==i1+j1)&(K2==i2+j2))) ...
                    -g1(:,i).*(((i1==j1+K1) & (i2==j2+K2)) |((K1==i1+j1)&(K2==i2+j2))).*sa.*tj*ti ...
                      +g2(:,i) .*sa.*tj.*(((i1==j1+K1) & (i2==-j2-K2)) |((K1==i1+j1)&(-K2==i2-j2))) ...
                      -g1(:,i).*ti .*sa.*(((i1==j1+K1) & (-i2==j2-K2)) |((K1==i1+j1)&(-K2==-i2+j2))) ...
                      -g2(:,i).*tj.*ti.*(((i1==j1+K1) & (-i2==-j2+K2)) |((K1==i1+j1)&(K2==-i2-j2))) ...
                      +g2(:,i).*sa.*(((i1==j1+K1) & (i2==j2-K2)) |((K1==i1+j1)&(-K2==i2+j2))) ...
                     +g1(:,i).*(((i1==j1+K1) & (i2==-j2+K2)) |((K1==i1+j1)&(K2==i2-j2)))*tj ...
                     -g2(:,i).*(((i1==j1+K1) & (-i2==j2+K2)) |((K1==i1+j1)&(K2==-i2+j2)))*ti  ...
                      -g1(:,i).*((j1==i1+K1)&(j2==i2+K2)) ...
                      +g2(:,i).*ti .*((j1==i1+K1)&(j2==-i2+K2)) ...
                      -g1(:,i).*((j1==i1+K1)&(-j2==i2+K2))*tj-g2(:,i).*sa.*((j1==i1+K1)&(j2==i2-K2)) ...
                      +g2(:,i).*((j1==i1+K1)&(-j2==-i2+K2)).*ti.*tj+g1(:,i).* ((j1==i1+K1)&(j2==-i2-K2)).*sa.*ti ...
                      -g2(:,i).*((j1==i1+K1)&(-j2==i2-K2)).*sa.*tj+g1(:,i).*((j1==i1+K1)&(j2==i2+K2)) .*ti.*sa.*tj); 
  end
 end
    disp('G21finished')
    toc
  g1=(-iPhi.*(L1.^2*ialpha^2+L2.^2).*L2*K1' ...
                      -iPhi.*L1*((K1.^2*ialpha^2+K2.^2).*K2)'+(iPhi.*(L1.^2*ialpha^2+L2.^2).*L1)*K2' ...
                      +iPhi.*L2*((K1.^2*ialpha^2+K2.^2).*K1)')*PI^2;
 g2=(-iPhi.*(L1.^2*ialpha^2+L2.^2).*L2*K1' ...
                      +iPhi.*L1*((K1.^2*ialpha^2+K2.^2).*K2)'-(iPhi.*(L1.^2*ialpha^2+L2.^2).*L1)*K2' ...
                      +iPhi.*L2*((K1.^2*ialpha^2+K2.^2).*K1)')*PI^2;%i2<0  
 for j=1:Ma 
           j1=list3(j,1); 
          j2=list3(j,2); 
          tj=sa(j); 
  for i=1:Ma 
     i1=list3(i,1); 
      i2=list3(i,2);  
         ti=sa(i); 
                   iG22(j,i)=iG22(j,i)+sum(g1(:,i).*(((i1==j1+L1) & (i2==j2+L2)) |((L1==i1+j1)&(L2==i2+j2))) ...
                        +g2(:,i).*ti .*(((i1==j1+L1) & (-i2==j2+L2)) |((L1==i1+j1)&(L2==-i2+j2))) ...
                     +g1(:,i) .*(((i1==j1+L1) & (i2==-j2+L2)) |((L1==i1+j1)&(L2==i2-j2)))*tj ...
                     -g2(:,i).*ss.*(((i1==j1+L1) & (i2==j2-L2)) |((L1==i1+j1)&(-L2==i2+j2))) ...
                     +g2(:,i).*tj*ti.*(((i1==j1+L1) & (-i2==-j2+L2)) |((L1==i1+j1)&(L2==-i2-j2))) ...
                     -g1(:,i).*(((i1==j1+L1) & (-i2==j2-L2)) |((L1==i1+j1)&(-L2==-i2+j2))).*ss.*ti ...
                     -g2(:,i).*(((i1==j1+L1) & (i2==-j2-L2)) |((L1==i1+j1)&(-L2==i2-j2))).*ss.*tj ...
                     -g1(:,i).*(((i1==j1+L1) & (i2==j2+L2)) |((L1==i1+j1)&(L2==i2+j2))).*ss.*tj*ti ...
                     -g1(:,i).*((j1==i1+L1)&(j2==i2+L2)) -g2(:,i).*((j1==i1+L1)&(j2==-i2+L2))*ti ...
                      -g1(:,i).*((j1==i1+L1)&(-j2==i2+L2)) .*tj+g2(:,i).*((j1==i1+L1)&(j2==i2-L2)).*ss ...
                      -g2(:,i).*((j1==i1+L1)&(-j2==-i2+L2))*tj*ti+g1(:,i).*((j1==i1+L1)&(j2==-i2-L2)).*ss.*ti ...
                      +g2(:,i).*((j1==i1+L1)&(-j2==i2-L2)).*ss.*tj+g1(:,i).*((j1==i1+L1)&(j2==i2+L2))*ti.*ss.*tj);
  end
 end
    
  disp('G22finished')
   iG23=iG21*iPhi;  
   iG21=iG21*iR;
 iG13=1/2*iG11*iPhi; 
   iG11=iD1+iG11*iR;
  iG12=intval(zeros(Ms,Ma));
 
  iG22=iD2+iG22*iR;
  
iG31=intval(zeros(1,Ms));
iG32=intval(zeros(1,Ma));
      iG32(N/2*N+N+1)=intval('1');
iG33=intval('0');
 G=[iG11 iG12 iG13
    iG21 iG22 iG23
    iG31 iG32 iG33];
 for int=1:2
    int
     uL2 % L2 norm of u and v, Linf norm of u and v, see uL2.m
 r1=abs(Retheta1)+(iR+w(Ms+Ma+1))*(C2*w(Ms+Ma+2)*sup(abs(dpytheta1L2)) ...
    +C4*w(Ms+Ma+2)*sup(abs(dpxtheta1L2)) ...
    +w(Ms+Ma+2)*sup(abs(pxtheta1L2)) ...
    +w(Ms+Ma+2)*sup(abs(pytheta1L2))+abs(uuthetaL2) ...
    +w(Ms+Ma+2)*sup(abs(uxtheta1L2)) ...
    +C2*w(Ms+Ma+2)*sup(abs(duytheta1L2)) +C2*w(Ms+Ma+2)^2*Theta1Linf ...
    +w(Ms+Ma+2)*sup(abs(uytheta1L2))  ...
    +C4*w(Ms+Ma+2)*sup(abs(duxtheta1L2))  ...
    +C4*w(Ms+Ma+2)^2*Theta1Linf)+w(Ms+Ma+1)*abs(puthetaL2);
r2=abs(Retheta2)+psuthetaL2*w(Ms+Ma+1)+(iR+w(Ms+Ms+1))*(abs(uvthetaL2) ...
    +C2*w(Ms+Ma+3)*sup(abs(dpytheta2L2)) ...
    +C4*w(Ms+Ma+3)*sup(abs(dpxtheta2L2)) ...
    +w(Ms+Ma+2)*sup(abs(psxtheta2L2)) ...
    +w(Ms+Ma+2)*sup(abs(psytheta2L2)) ...
    +C2*w(Ms+Ma+2)*sup(abs(dpsytheta2L2)) ...
    +C4*w(Ms+Ma+2)*sup(abs(dpsxtheta2L2)) ...
    +w(Ms+Ma+3)*sup(abs(pxtheta2L2)) ...
    +w(Ms+Ma+3)*sup(abs(pytheta2L2)) ...
    +C2*w(Ms+Ma+3)*sup(abs(duytheta2L2))  ...
    +C4*w(Ms+Ma+3)*sup(abs(duxtheta2L2))  ...
    +w(Ms+Ma+2)*sup(abs(vxtheta2L2)) ...
    +w(Ms+Ma+2)*sup(abs(vytheta2L2))  ...
    +C2*w(Ms+Ma+2)*sup(abs(dvytheta2L2))  ...
    +C4*w(Ms+Ma+2)*sup(abs(dvxtheta2L2))  ...
    +w(Ms+Ma+3)*sup(abs(uxtheta2L2)) ...
    +w(Ms+Ma+3)*sup(abs(uytheta2L2))  ...
    +2*(C2+C4)*w(Ms+Ma+2)*w(Ms+Ma+3)*Theta2Linf);

r3=abs(1-iPsi(N/2*N+N+1));

r=[r1
    r2
    r3];
Y= G\infsup(-sup(r),sup(r));
Y(Ms+Ma+2)=C5*(Re1L2+w(Ms+Ma+1)*ppL2+(iR+w(Ms+Ma+1))*(puL2+pxinf*w(Ms+Ma+2)+pyinf*w(Ms+Ma+2) ...
    +C2*w(Ms+Ma+2)*dpyinf+C4*w(Ms+Ma+2)*dpxinf+uxinf*w(Ms+Ma+2)+uyinf*w(Ms+Ma+2)+C2*w(Ms+Ma+2)*duyinf ...
    +C4*w(Ms+Ma+2)*duxinf+(C14+C16)*w(Ms+Ma+2)^2));
Y(Ms+Ma+3)=C5*(Re2L2+w(Ms+Ma+1)*psL2+(iR+w(Ms+Ma+1))*(psuL2+C2*w(Ms+Ma+3)*dpyinf+C4*w(Ms+Ma+3)*dpxinf ...
    +C2*w(Ms+Ma+3)*duyinf+C4*w(Ms+Ma+3)*duxinf+vxinf*w(Ms+Ma+2)+vyinf*w(Ms+Ma+2) ...
    +2*(C14+C16)*w(Ms+Ma+2)*w(Ms+Ma+3)+pxinf*w(Ms+Ma+3)+pyinf*w(Ms+Ma+3)+C2*w(Ms+Ma+2)*dpsyinf ...
    +C4*w(Ms+Ma+2)*dpsxinf+C2*w(Ms+Ma+2)*dvyinf+C4*w(Ms+Ma+2)*dvxinf+uxinf*w(Ms+Ma+3)+uyinf*w(Ms+Ma+3)));

 g1=(iR+w(Ms+Ma+1))*(C2*w(Ms+Ma+2)*sup(dpytheta1L2) ...
    +C4*w(Ms+Ma+2)*sup(dpxtheta1L2) ...
    +w(Ms+Ma+2)*sup(pxtheta1L2) ...
    +w(Ms+Ma+2)*sup(pytheta1L2) ...
    +C2*w(Ms+Ma+2)*sup(abs(duytheta1L2))  ...
    +C4*w(Ms+Ma+2)*sup(abs(duxtheta1L2)) ...
    +w(Ms+Ma+2)*sup(abs(uxtheta1L2))  ...
    +w(Ms+Ma+2)*sup(abs(uytheta1L2)) +2*(C2+C4)*w(Ms+Ma+2)^2*Theta1Linf ...
    +C2*w(Ms+Ma+2)*sup(abs(duytheta1L2))  ...
    +C4*w(Ms+Ma+2)*sup(abs(duxtheta1L2))  ...
    +w(Ms+Ma+2)*sup(abs(uxtheta1L2))  ...
    +w(Ms+Ma+2)*sup(abs(uytheta1L2))  ...
    +2*abs(uuthetaL2))+w(Ms+Ma+1)*(abs(2*puthetaL2)+abs(uuthetaL2)) ...
    +w(Ms+Ma+1)*(w(Ms+Ma+2)*sup(abs(uxtheta1L2))  ...
    +w(Ms+Ma+2)*sup(abs(uytheta1L2))  ...
    +C2*w(Ms+Ma+2)*sup(abs(duytheta1L2))  ...
    +C4*w(Ms+Ma+2)*sup(abs(duxtheta1L2))  ...
    +(C2+C4)*w(Ms+Ma+2)^2*Theta1Linf ...
    +C2*w(Ms+Ma+2)*sup(dpytheta1L2) ...
    +C4*w(Ms+Ma+2)*sup(dpxtheta1L2) ...
    +w(Ms+Ma+2)*sup(pxtheta1L2) ...
    +w(Ms+Ma+2)*sup(pytheta1L2));
g2=(iR+w(Ms+Ma+1))*(2*abs(uvthetaL2) ...
    +w(Ms+Ma+2)*sup(abs(psxtheta2L2))...
    +w(Ms+Ma+2)*sup(abs(psytheta2L2)) ...
    +2*C2*w(Ms+Ma+3)*sup(abs(duytheta2L2))  ...
    +2*C4*w(Ms+Ma+3)*sup(abs(duxtheta2L2))  ...
    +2*w(Ms+Ma+2)*sup(abs(vxtheta2L2))  ...
    +2*w(Ms+Ma+2)*sup(abs(vytheta2L2))  ...
    +C2*w(Ms+Ma+2)*sup(abs(dpsytheta2L2)) ...
    +C4*w(Ms+Ma+2)*sup(abs(dpsxtheta2L2)) ...
    +2*C2*w(Ms+Ma+2)*sup(abs(dvytheta2L2)) ...
    +2*C4*w(Ms+Ma+2)*sup(abs(dvxtheta2L2))  ...
    +2*w(Ms+Ma+3)*sup(abs(uxtheta2L2))  ...
    +2*w(Ms+Ma+3)*sup(abs(uytheta2L2))  ...
    +2*(C2+C4)*w(Ms+Ma+3)*w(Ms+Ma+2)*Theta2Linf ...
    +C2*w(Ms+Ma+3)*sup(abs(dpytheta2L2)) ...
    +C4*w(Ms+Ma+3)*sup(abs(dpxtheta2L2)) ...
    +w(Ms+Ma+3)*sup(abs(pxtheta2L2)) ...
    +w(Ms+Ma+3)*sup(abs(pytheta2L2)) ...
    +2*(C2+C4)*w(Ms+Ma+2)*w(Ms+Ma+3)*Theta2Linf)+w(Ms+Ma+1)*(2*abs(psuthetaL2)+abs(uvthetaL2)) ...
    +w(Ms+Ma+1)*(w(Ms+Ma+2)*sup(abs(psxtheta2L2))  ...
    +w(Ms+Ma+2)*sup(abs(psytheta2L2)) ...
    +C2*w(Ms+Ma+3)*sup(abs(dpytheta2L2)) ...
    +C4*w(Ms+Ma+3)*sup(abs(dpxtheta2L2)) ...
    +C2*w(Ms+Ma+3)*sup(abs(duytheta2L2)) ...
    +C4*w(Ms+Ma+3)*sup(abs(duxtheta2L2))  ...
    +w(Ms+Ma+2)*sup(abs(vxtheta2L2))   ...
    +w(Ms+Ma+2)*sup(abs(vytheta2L2)) ...
    +2*(C2+C4)*w(Ms+Ma+3)*w(Ms+Ma+2)*Theta2Linf ...
    +C2*w(Ms+Ma+2)*sup(abs(dpsytheta2L2)) ...
    +C4*w(Ms+Ma+2)*sup(abs(dpsxtheta2L2)) ...
    +w(Ms+Ma+3)*sup(abs(pytheta2L2)) ...
    +w(Ms+Ma+3)*sup(abs(pxtheta2L2)) ...
    +w(Ms+Ma+3)*sup(abs(uxtheta2L2))  ...
    +w(Ms+Ma+3)*sup(abs(uytheta2L2))  ...
    +C2*w(Ms+Ma+2)*sup(abs(dvytheta2L2))  ...
    +C4*w(Ms+Ma+2)*sup(abs(dvxtheta2L2)));
g3=intval('0');
g=[g1
    g2
    g3];
Z= G\infsup(-sup(g),sup(g));
Z(Ms+Ma+2)=C5*((iR+abs(w(Ms+Ma+1)))*(pu2L2+C2*w(Ms+Ma+2)*dpyinf+C4*w(Ms+Ma+2)*dpxinf+uxinf*w(Ms+Ma+2) ...
    +uyinf*w(Ms+Ma+2)+C2*w(Ms+Ma+2)*duyinf+C4*w(Ms+Ma+2)*duxinf ...
    +2*(C14+C16)*w(Ms+Ma+2)^2+pxinf*w(Ms+Ma+2)+pyinf*w(Ms+Ma+2)+uxinf*w(Ms+Ma+2)+uyinf*w(Ms+Ma+2) ...
    +C2*w(Ms+Ma+2)*duyinf+C4*w(Ms+Ma+2)*duxinf)+w(Ms+Ma+1)*(pxinf*w(Ms+Ma+2)+pyinf*w(Ms+Ma+2) ...
    +C2*w(Ms+Ma+2)*dpyinf+C4*w(Ms+Ma+2)*dpxinf+uxinf*w(Ms+Ma+2)+uyinf*w(Ms+Ma+2) ...
    +C2*w(Ms+Ma+2)*duyinf+C4*w(Ms+Ma+2)*duxinf+(C14+C16)*w(Ms+Ma+2)^2+ppuL2));
Z(Ms+Ma+3)=C5*((iR+abs(w(Ms+Ma+1)))*(psu2L2+psxinf*w(Ms+Ma+2)+psyinf*w(Ms+Ma+2)+2*vxinf*w(Ms+Ma+2) ...
    +2*vyinf*w(Ms+Ma+2)+2*C2*w(Ms+Ma+3)*duyinf+2*C4*w(Ms+Ma+3)*duxinf+2*(C14+C16)*w(Ms+Ma+3)*w(Ms+Ma+2) ...
    +C2*w(Ms+Ma+2)*dpsyinf+C4*w(Ms+Ma+2)*dpsxinf+2*uxinf*w(Ms+Ma+3)+2*uyinf*w(Ms+Ma+3) ...
    +2*C2*w(Ms+Ma+2)*dvyinf ...
    +2*C4*w(Ms+Ma+2)*dvxinf+C2*w(Ms+Ma+3)*dpyinf+C4*w(Ms+Ma+3)*dpxinf ...
    +2*(C14+C16)*w(Ms+Ma+3)*w(Ms+Ma+2) ...
   +pxinf*w(Ms+Ma+3)+pyinf*w(Ms+Ma+3)) ...
    +abs(w(Ms+Ma+1))*(psxinf*w(Ms+Ma+2)+psyinf*w(Ms+Ma+2)+C2*w(Ms+Ma+3)*dpyinf ...
    +C4*w(Ms+Ms+3)*dpxinf+vxinf*w(Ms+Ma+2)+vyinf*w(Ms+Ma+2)+C2*w(Ms+Ma+3)*duyinf ...
    +C4*w(Ms+Ma+3)*duxinf ...
    +2*(C14+C16)*w(Ms+Ma+3)*w(Ms+Ma+2)+pxinf*w(Ms+Ma+3)+pyinf*w(Ms+Ma+3)+C2*w(Ms+Ma+2)*dvyinf ...
    +C4*w(Ms+Ma+2)*dvxinf+C2*w(Ms+Ma+2)*dpsyinf+C4*w(Ms+Ma+2)*dpsxinf ...
    +uxinf*w(Ms+Ma+3)+uyinf*w(Ms+Ma+3)+ppsuL2));
for i=1:Ms+Ma+1
    if (sup(abs(Y(i)))<inf(w(i))) &&(sup((abs(Z(i))))<inf(w(i)))
        T=1;
    else
        T=0;
        break;
    end
end
if (T==1)&&(sup(abs(Y(Ms+Ma+2)))<inf(w(Ms+Ma+2)))&&(sup(abs(Y(Ms+Ma+3)))<inf(w(Ms+Ma+3))) ...
       &&(sup(abs(Z(Ms+Ma+2)))<inf(w(Ms+Ma+2))) &&(sup(abs(Z(Ms+Ma+3)))<inf(w(Ms+Ma+3)))
   max(abs(w(1:Ms+Ma)))
   sup(w(Ms+Ma+1))
   sup(w(Ms+Ma+2))
   sup(w(Ms+Ma+3))
   break;
end
%% inflation
w(1:Ms+Ma)=intval(max(sup(abs(Y(1:Ms+Ma))),sup(abs(Z(1:Ms+Ma)))))*(1+1E-3);
w(Ms+Ma+1)=intval(max(sup(abs(Y(Ms+Ma+1))),sup(abs(Z(Ms+Ma+1)))))*(1+1E-3);
% w(Ms+Ma+2)=intval(max(sup(abs(Y(Ms+Ma+2))),sup(abs(Z(Ms+Ma+2)))))*(1+1E-3);
% w(Ms+Ma+3)=intval(max(sup(abs(Y(Ms+Ma+3))),sup(abs(Z(Ms+Ma+3)))))*(1+5E-2);
if int==2
    disp('verification fail')
end

 end
save N42intfinal.mat