%% main program; get an approximate solutions of the extended system
newton % use newton method to get an approximate symmetric solution of (7) with R=4.8 
reorder2 % reorder the basis function of X_s and X_a, 
Ms=N+N/2*(N+1);
Ma=N/2*(3*N+1);
 Phi=zeros(Ms,1); % initial point; using the approximate solution of (7)
 Psi=zeros(Ma,1); % initial point
 for i=1: N
     Phi(i)=u(i); 
 end
  for i=N+1:Ms
     i1=list2(i,1);
     i2=list2(i,2);
     j=i1*(2*N+1)+i2;
     Phi(i)=u(j); 
  end
  
     Psi(N/2*N+N+2)=1;
     Psi(N/2*N+N+1)=1;
   R=4.8;
D1=zeros(Ms,Ms);
  %(triangle  Theta_1(i), triangle  Theta_1(j))_L^2
  D2=zeros(Ma,Ma);
  %(triangle Theta_2(i), triangle Theta_2(j))_L^2
  L1=zeros(Ms,Ms); %( Theta_1(i),  Theta_1(j))_L^2
  L2=zeros(Ma,Ma); %( Theta_2(i),  Theta_2(j))_L^2
  for i=1:3*N/2
      i1=list2(i,1);
      i2=list2(i,2);
      D1(i,i)=(i1^2*alpha^2+i2^2)^2*2*pi^2/alpha;
      L1(i,i)=2*pi^2/alpha;
  end
  for i=3*N/2+1:Ms
      i1=list2(i,1);
      i2=list2(i,2);
      D1(i,i)=(i1^2*alpha^2+i2^2)^2*2*pi^2/alpha*2;
      L1(i,i)=2*pi^2/alpha*2;    
  end
  for i=1:N^2/2
      i1=list3(i,1);
      i2=list3(i,2);
      D2(i,i)=(i1^2*alpha^2+i2^2)^2*4*pi^2/alpha;
      L2(i,i)=4*pi^2/alpha;
  end
  for i=N^2/2+1:Ma
      i1=list3(i,1);
      i2=list3(i,2);
      D2(i,i)=(i1^2*alpha^2+i2^2)^2*2*pi^2/alpha;
       L2(i,i)=2*pi^2/alpha;
  end
    for iter=1:30 %iteration 
  G11=zeros(Ms,Ms); 
  %((triangle Phi^{(n)})_y(Theta_1(i))_x-(Theta_1(i))_y(triangle Phi^{(n)})_x
  %+(Phi^{(n)})_x(triangle Theta_1(i))_y-(\Phi^{(n)})_y(triangle Theta_1(i))_x, Theta_1(j))_{L^2}*R
  G21=zeros(Ma,Ms);
  %((triangle Psi^{(n)})_y(Theta_1(i))_x-(phi_i)_y(triangle Psi^{(n)})_x
  %+(Psi^{(n)})_x(triangle Theta_1(i))_y-(\Psi^{(n)})_y(triangle Theta_1(i))_x, Theta_2(j))_{L^2}*R
   G22=zeros(Ma,Ma);
  %((triangle Phi^{(n)})_y(Theta_2(i))_x-(Theta_2(i))_y(triangle Phi^{(n)})_x
  %+(Phi^{(n)})_x(triangle Theta_2(i))_y-(\Phi^{(n)})_y(triangle Theta_2(i))_x, Theta_2(j))_{L^2}*R
   G13=zeros(Ms,1);
   %((\Phi^{(n)})_x(\triangle \Phi^{(n)})_y-(\Phi^{(n)})_y(\triangle \Phi^{(n)})_x,Theta_2(j))_{L^2}
    G23=zeros(Ma,1);
  %((\Psi^{(n)})_x(\triangle \Phi^{(n)})_y-(\Psi^{(n)}_y(\triangle \Phi^{(n)})_x
                       %+((\Phi^{(n)})_x(\triangle\Psi^{(n)})_y-(\Phi^{(n)})_y(\triangle \Psi^{(n)})_x,Theta_2(j))_{L^2}
   B1=zeros(Ms,1);
    %(2R((\Phi^{(n)})_x(\triangle \Phi^{(n)})_y-(\Phi^{(n)})_y(\triangle \Phi^{(n)})_x-cos(y),Theta_1(j))_{L^2}
    B2=zeros(Ma,1);
    %2R((\Psi^{(n)})_x(\triangle \Phi^{(n)})_y-(\Psi^{(n)})_y(\tiangle\Phi^{(n)}_x
    %+(\Phi^{(n)})_x(\triangle \Psi^{(n)}_y-(\Phi^{(n)})_y(\triangle\Psi^{(n)})_x
     B3=1;     
for j=1:Ms
          j1=list2(j,1); 
          j2=list2(j,2); 
for i=1:Ms 
      i1=list2(i,1); 
      i2=list2(i,2);
     for k=1:Ms 
              k1=list2(k,1); 
              k2=list2(k,2); 
              G11(j,i)=G11(j,i)+Phi(k)*(-(k1^2*alpha^2+k2^2)*k2*i1 ...
                      -k1*(i1^2*alpha^2+i2^2)*i2+i2*(k1^2*alpha^2+k2^2)*k1 ...
                      +k2*(i1^2*alpha^2+i2^2)*i1)*pi^2 ...
                      *(((i1==j1+k1) && (i2==j2+k2)) ||((k1==i1+j1)&&(k2==i2+j2))) ...
                     +Phi(k)*(-(k1^2*alpha^2+k2^2)*k2*i1 ...
                      +k1*(i1^2*alpha^2+i2^2)*i2-i2*(k1^2*alpha^2+k2^2)*k1 ...
                      +k2*(i1^2*alpha^2+i2^2)*i1)*pi^2 ...
                      *(((i1==j1+k1) && (-i2==j2+k2)) ||((k1==i1+j1)&&(k2==-i2+j2))) ... 
                      *(-1)^(floor(i1/2)+i2+1)*(i1*i2~=0) ...
                      +Phi(k)*(-(k1^2*alpha^2+k2^2)*k2*i1 ...
                      -k1*(i1^2*alpha^2+i2^2)*i2+i2*(k1^2*alpha^2+k2^2)*k1 ...
                      +k2*(i1^2*alpha^2+i2^2)*i1)*pi^2 ...
                      *(((i1==j1+k1) && (i2==-j2+k2)) ||((k1==i1+j1)&&(k2==i2-j2))) ...
                      *(-1)^(floor(j1/2)+j2+1)*(j1*j2~=0)...
                      +Phi(k)*((k1^2*alpha^2+k2^2)*k2*i1 ...
                      -k1*(i1^2*alpha^2+i2^2)*i2+i2*(k1^2*alpha^2+k2^2)*k1 ...
                      -k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*(-1)^(floor(k1/2)+k2+1)*(k1*k2~=0) ...
                      *(((i1==j1+k1) && (i2==j2-k2)) ||((k1==i1+j1)&&(-k2==i2+j2))) ...
                      +Phi(k)*(-(k1^2*alpha^2+k2^2)*k2*i1 ...
                      +k1*(i1^2*alpha^2+i2^2)*i2-i2*(k1^2*alpha^2+k2^2)*k1 ...
                      +k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*(-1)^(floor(j1/2)+j2+1)*(j1*j2~=0) ...
                      *(((i1==j1+k1) && (-i2==-j2+k2)) ||((k1==i1+j1)&&(k2==-i2-j2))) ...
                      *(-1)^(floor(i1/2)+i2+1)*(i1*i2~=0) ...
                      +Phi(k)*((k1^2*alpha^2+k2^2)*k2*i1 ...
                      +k1*(i1^2*alpha^2+i2^2)*i2-i2*(k1^2*alpha^2+k2^2)*k1 ...
                      -k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*(-1)^(floor(i1/2)+i2+1)*(i1*i2~=0) ...
                      *(((i1==j1+k1) && (-i2==j2-k2)) ||((k1==i1+j1)&&(-k2==-i2+j2))) ...
                      *(-1)^(floor(k1/2)+k2+1)*(k1*k2~=0) ...
                      +Phi(k)*((k1^2*alpha^2+k2^2)*k2*i1 ...
                      -k1*(i1^2*alpha^2+i2^2)*i2+i2*(k1^2*alpha^2+k2^2)*k1 ...
                      -k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*(-1)^(floor(k1/2)+k2+1)*(k1*k2~=0) ...
                      *(((i1==j1+k1) && (i2==-j2-k2)) ||((k1==i1+j1)&&(-k2==i2-j2))) ...
                      *(-1)^(floor(j1/2)+j2+1)*(j1*j2~=0) ...
                      +Phi(k)*((k1^2*alpha^2+k2^2)*k2*i1 ...
                      +k1*(i1^2*alpha^2+i2^2)*i2-i2*(k1^2*alpha^2+k2^2)*k1 ...
                      -k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*(-1)^(floor(k1/2)+k2+1)*(k1*k2~=0) ...
                      *(((i1==j1+k1) && (-i2==-j2-k2)) ||((k1==i1+j1)&&(-k2==-i2-j2))) ...
                      *(-1)^(floor(j1/2)+j2+1)*(j1*j2~=0)*(-1)^(floor(i1/2)+i2+1)*(i1*i2~=0) ...
                      -Phi(k)*(-(k1^2*alpha^2+k2^2)*k2*i1 ...
                      -k1*(i1^2*alpha^2+i2^2)*i2+i2*(k1^2*alpha^2+k2^2)*k1 ...
                      +k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*((j1==i1+k1)&&(j2==i2+k2))...
                      -Phi(k)*(-(k1^2*alpha^2+k2^2)*k2*i1 ...
                      +k1*(i1^2*alpha^2+i2^2)*i2-i2*(k1^2*alpha^2+k2^2)*k1 ...
                      +k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*((j1==i1+k1)&&(j2==-i2+k2))...
                      *(-1)^(floor(i1/2)+i2+1)*(i1*i2~=0) ...
                      -Phi(k)*(-(k1^2*alpha^2+k2^2)*k2*i1 ...
                      -k1*(i1^2*alpha^2+i2^2)*i2+i2*(k1^2*alpha^2+k2^2)*k1 ...
                      +k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*((j1==i1+k1)&&(-j2==i2+k2)) ...
                      *(-1)^(floor(j1/2)+j2+1)*(j1*j2~=0) ...
                      -Phi(k)*( (k1^2*alpha^2+k2^2)*k2*i1 ...
                      -k1*(i1^2*alpha^2+i2^2)*i2+i2*(k1^2*alpha^2+k2^2)*k1 ...
                      -k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*((j1==i1+k1)&&(j2==i2-k2))...
                      *(-1)^(floor(k1/2)+k2+1)*(k1*k2~=0) ...
                       -Phi(k)*(-(k1^2*alpha^2+k2^2)*k2*i1 ...
                      +k1*(i1^2*alpha^2+i2^2)*i2-i2*(k1^2*alpha^2+k2^2)*k1 ...
                      +k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*((j1==i1+k1)&&(-j2==-i2+k2))...
                      *(-1)^(floor(i1/2)+i2+1)*(i1*i2~=0)*(-1)^(floor(j1/2)+j2+1)*(j1*j2~=0) ...
                      -Phi(k)*((k1^2*alpha^2+k2^2)*k2*i1 ...
                      +k1*(i1^2*alpha^2+i2^2)*i2-i2*(k1^2*alpha^2+k2^2)*k1 ...
                      -k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*((j1==i1+k1)&&(j2==-i2-k2))...
                      *(-1)^(floor(i1/2)+i2+1)*(i1*i2~=0)*(-1)^(floor(k1/2)+k2+1)*(k1*k2~=0) ...
                      -Phi(k)*((k1^2*alpha^2+k2^2)*k2*i1 ...
                      -k1*(i1^2*alpha^2+i2^2)*i2+i2*(k1^2*alpha^2+k2^2)*k1 ...
                      -k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*((j1==i1+k1)&&(-j2==i2-k2)) ...
                      *(-1)^(floor(k1/2)+k2+1)*(k1*k2~=0)*(-1)^(floor(j1/2)+j2+1)*(j1*j2~=0) ...
                      -Phi(k)*((k1^2*alpha^2+k2^2)*k2*i1 ...
                      +k1*(i1^2*alpha^2+i2^2)*i2-i2*(k1^2*alpha^2+k2^2)*k1 ...
                      -k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*((j1==i1+k1)&&(-j2==-i2-k2))...
                      *(-1)^(floor(k1/2)+k2+1)*(k1*k2~=0)*(-1)^(floor(j1/2)+j2+1)*(j1*j2~=0) ...
                      *(-1)^(floor(i1/2)+i2+1)*(i1*i2~=0);
     end
end
end
 for j=1:Ma  
          j1=list3(j,1); 
          j2=list3(j,2); 
  for i=1:Ms 
      i1=list2(i,1); 
      i2=list2(i,2);
    for k=1:Ma  
              k1=list3(k,1); 
              k2=list3(k,2);
                G21(j,i)=G21(j,i)+Psi(k)*(-(k1^2*alpha^2+k2^2)*k2*i1 ...
                      -k1*(i1^2*alpha^2+i2^2)*i2+i2*(k1^2*alpha^2+k2^2)*k1 ...
                      +k2*(i1^2*alpha^2+i2^2)*i1)*pi^2* ...
                      (((i1==j1+k1) && (i2==j2+k2)) ||((k1==i1+j1)&&(k2==i2+j2))) ...
                      +Psi(k)*((k1^2*alpha^2+k2^2)*k2*i1 ...
                      +k1*(i1^2*alpha^2+i2^2)*i2-i2*(k1^2*alpha^2+k2^2)*k1 ...
                      -k2*(i1^2*alpha^2+i2^2)*i1)*pi^2* ...
                      (((i1==j1+k1) && (i2==j2+k2)) ||((k1==i1+j1)&&(k2==i2+j2))) ...
                      *(-1)^(floor(k1/2)+k2)*(k1*k2~=0)*(mod(k1,2)==0)*(-1)^(floor(j1/2)+j2)*(j1*j2~=0)*(mod(j1,2)==0) ...
                      *(-1)^(floor(i1/2)+i2+1)*(i1*i2~=0) ...
                      +Psi(k)*((k1^2*alpha^2+k2^2)*k2*i1 ...
                      -k1*(i1^2*alpha^2+i2^2)*i2+i2*(k1^2*alpha^2+k2^2)*k1 ...
                      -k2*(i1^2*alpha^2+i2^2)*i1)*pi^2 *(-1)^(floor(k1/2)+k2)*(k1*k2~=0)*(mod(k1,2)==0)...
                      *(-1)^(floor(j1/2)+j2)*(j1*j2~=0)*(mod(j1,2)==0)* ...
                      (((i1==j1+k1) && (i2==-j2-k2)) ||((k1==i1+j1)&&(-k2==i2-j2))) ...
                      +Psi(k)*((k1^2*alpha^2+k2^2)*k2*i1 ...
                      +k1*(i1^2*alpha^2+i2^2)*i2-i2*(k1^2*alpha^2+k2^2)*k1 ...
                      -k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*(-1)^(floor(i1/2)+i2+1)*(i1*i2~=0) ...
                      *(-1)^(floor(k1/2)+k2)*(k1*k2~=0)*(mod(k1,2)==0)...
                      *(((i1==j1+k1) && (-i2==j2-k2)) ||((k1==i1+j1)&&(-k2==-i2+j2))) ...
                      +Psi(k)*(-(k1^2*alpha^2+k2^2)*k2*i1 ...
                      +k1*(i1^2*alpha^2+i2^2)*i2-i2*(k1^2*alpha^2+k2^2)*k1 ...
                      +k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*(-1)^(floor(j1/2)+j2)*(j1*j2~=0) ...
                      *(-1)^(floor(i1/2)+i2+1)*(i1*i2~=0) ...
                      *(((i1==j1+k1) && (-i2==-j2+k2)) ||((k1==i1+j1)&&(k2==-i2-j2))) ...
                      +Psi(k)*((k1^2*alpha^2+k2^2)*k2*i1 ...
                      -k1*(i1^2*alpha^2+i2^2)*i2+i2*(k1^2*alpha^2+k2^2)*k1 ...
                      -k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*(-1)^(floor(k1/2)+k2)*(k1*k2~=0)*(mod(k1,2)==0)...
                      *(((i1==j1+k1) && (i2==j2-k2)) ||((k1==i1+j1)&&(-k2==i2+j2))) ...
                     + Psi(k)*(-(k1^2*alpha^2+k2^2)*k2*i1 ...
                      -k1*(i1^2*alpha^2+i2^2)*i2+i2*(k1^2*alpha^2+k2^2)*k1 ...
                      +k2*(i1^2*alpha^2+i2^2)*i1)*pi^2* ...
                      (((i1==j1+k1) && (i2==-j2+k2)) ||((k1==i1+j1)&&(k2==i2-j2))) ...
                      *(-1)^(floor(j1/2)+j2)*(j1*j2~=0)*(mod(j1,2)==0) ...
                      +Psi(k)*(-(k1^2*alpha^2+k2^2)*k2*i1 ...
                      +k1*(i1^2*alpha^2+i2^2)*i2-i2*(k1^2*alpha^2+k2^2)*k1 ...
                      +k2*(i1^2*alpha^2+i2^2)*i1)*pi^2* ...
                     (((i1==j1+k1) && (-i2==j2+k2)) ||((k1==i1+j1)&&(k2==-i2+j2))) ...
                     *(-1)^(floor(i1/2)+i2+1)*(i1*i2~=0)  ...
                      -Psi(k)*(-(k1^2*alpha^2+k2^2)*k2*i1 ...
                      -k1*(i1^2*alpha^2+i2^2)*i2+i2*(k1^2*alpha^2+k2^2)*k1 ...
                      +k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*((j1==i1+k1)&&(j2==i2+k2)) ...
                      -Psi(k)*(-(k1^2*alpha^2+k2^2)*k2*i1 ...
                      +k1*(i1^2*alpha^2+i2^2)*i2-i2*(k1^2*alpha^2+k2^2)*k1 ...
                      +k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*(-1)^(floor(i1/2)+i2+1)*(i1*i2~=0) ...
                      *((j1==i1+k1)&&(j2==-i2+k2)) ...
                      -Psi(k)*(-(k1^2*alpha^2+k2^2)*k2*i1 ...
                      -k1*(i1^2*alpha^2+i2^2)*i2+i2*(k1^2*alpha^2+k2^2)*k1 ...
                      +k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*((j1==i1+k1)&&(-j2==i2+k2)) ...
                      *(mod(j1,2)==0)*(-1)^(floor(j1/2)+j2)*(j1*j2~=0) ...
                       -Psi(k)*((k1^2*alpha^2+k2^2)*k2*i1 ...
                      -k1*(i1^2*alpha^2+i2^2)*i2+i2*(k1^2*alpha^2+k2^2)*k1 ...
                      -k2*(i1^2*alpha^2+i2^2)*i1)*pi^2 ...
                      *(-1)^(floor(k1/2)+k2)*((j1==i1+k1)&&(j2==i2-k2))*(mod(k1,2)==0) ...
                      -Psi(k)*(-(k1^2*alpha^2+k2^2)*k2*i1 ...
                      +k1*(i1^2*alpha^2+i2^2)*i2+i2*(k1^2*alpha^2+k2^2)*k1 ...
                      -k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*((j1==i1+k1)&&(-j2==-i2+k2)) ...
                      *(-1)^(floor(i1/2)+i2+1)*(i1*i2~=0)*(mod(j1,2)==0)*(-1)^(floor(j1/2)+j2)*(j1*j2~=0) ...
                      -Psi(k)*((k1^2*alpha^2+k2^2)*k2*i1 ...
                      +k1*(i1^2*alpha^2+i2^2)*i2-i2*(k1^2*alpha^2+k2^2)*k1 ...
                      -k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*((j1==i1+k1)&&(j2==-i2-k2)) ...
                      *(-1)^(floor(i1/2)+i2+1)*(i1*i2~=0)*(-1)^(floor(k1/2)+k2)*(mod(k1,2)==0) ...
                      -Psi(k)*((k1^2*alpha^2+k2^2)*k2*i1 ...
                      -k1*(i1^2*alpha^2+i2^2)*i2+i2*(k1^2*alpha^2+k2^2)*k1 ...
                      -k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*((j1==i1+k1)&&(-j2==i2-k2)) ...;
                  *(-1)^(floor(j1/2)+j2)*(j1*j2~=0)*(mod(j1,2)==0)*(-1)^(floor(k1/2)+k2)*(mod(k1,2)==0) ...
                  -Psi(k)*((k1^2*alpha^2+k2^2)*k2*i1 ...
                      +k1*(i1^2*alpha^2+i2^2)*i2-i2*(k1^2*alpha^2+k2^2)*k1 ...
                      -k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*((j1==i1+k1)&&(j2==i2+k2)) ...
                      *(-1)^(floor(i1/2)+i2+1)*(i1*i2~=0)*(-1)^(floor(k1/2)+k2)*(mod(k1,2)==0)  ...
                      *(mod(j1,2)==0)*(-1)^(floor(j1/2)+j2)*(j1*j2~=0);
                  
    end
  end
 end
   for j=1:Ma  
          j1=list3(j,1); 
          j2=list3(j,2); 
  for i=1:Ma  
      i1=list3(i,1); 
      i2=list3(i,2);
   for k=1:Ms  
            k1=list2(k,1); 
              k2=list2(k,2);
                   G22(j,i)=G22(j,i)+Phi(k)*(-(k1^2*alpha^2+k2^2)*k2*i1 ...
                      -k1*(i1^2*alpha^2+i2^2)*i2+i2*(k1^2*alpha^2+k2^2)*k1 ...
                      +k2*(i1^2*alpha^2+i2^2)*i1)*pi^2 ...
                     *(((i1==j1+k1) && (i2==j2+k2)) ||((k1==i1+j1)&&(k2==i2+j2))) ...
                     +Phi(k)*(-(k1^2*alpha^2+k2^2)*k2*i1 ...
                      +k1*(i1^2*alpha^2+i2^2)*i2-i2*(k1^2*alpha^2+k2^2)*k1 ...
                      +k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*(-1)^(floor(i1/2)+i2)*(i1*i2~=0)*(mod(i1,2)==0) ...
                     *(((i1==j1+k1) && (-i2==j2+k2)) ||((k1==i1+j1)&&(k2==-i2+j2))) ...
                     +Phi(k)*(-(k1^2*alpha^2+k2^2)*k2*i1 ...
                      -k1*(i1^2*alpha^2+i2^2)*i2+i2*(k1^2*alpha^2+k2^2)*k1 ...
                      +k2*(i1^2*alpha^2+i2^2)*i1)*pi^2 ...
                     *(((i1==j1+k1) && (i2==-j2+k2)) ||((k1==i1+j1)&&(k2==i2-j2))) ...
                     *(-1)^(floor(j1/2)+j2)*(j1*j2~=0)*(mod(j1,2)==0) ...
                 +Phi(k)*((k1^2*alpha^2+k2^2)*k2*i1 ...
                      -k1*(i1^2*alpha^2+i2^2)*i2+i2*(k1^2*alpha^2+k2^2)*k1 ...
                      -k2*(i1^2*alpha^2+i2^2)*i1)*pi^2 *(-1)^(floor(k1/2)+k2+1)*(k1*k2~=0) ...
                     *(((i1==j1+k1) && (i2==j2-k2)) ||((k1==i1+j1)&&(-k2==i2+j2))) ...
                     +Phi(k)*(-(k1^2*alpha^2+k2^2)*k2*i1 ...
                      +k1*(i1^2*alpha^2+i2^2)*i2-i2*(k1^2*alpha^2+k2^2)*k1 ...
                      +k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*(-1)^(floor(j1/2)+j2)*(j1*j2~=0)*(mod(j1,2)==0) ...
                      *(-1)^(floor(i1/2)+i2)*(i1*i2~=0)*(mod(i1,2)==0) ...
                     *(((i1==j1+k1) && (-i2==-j2+k2)) ||((k1==i1+j1)&&(k2==-i2-j2))) ...
                     +Phi(k)*((k1^2*alpha^2+k2^2)*k2*i1 ...
                      +k1*(i1^2*alpha^2+i2^2)*i2-i2*(k1^2*alpha^2+k2^2)*k1 ...
                      -k2*(i1^2*alpha^2+i2^2)*i1)*pi^2 ...
                     *(((i1==j1+k1) && (-i2==j2-k2)) ||((k1==i1+j1)&&(-k2==-i2+j2))) ...
                     *(-1)^(floor(i1/2)+i2)*(i1*i2~=0)*(mod(i1,2)==0)*(-1)^(floor(k1/2)+k2+1)*(k1*k2~=0) ...
                     +Phi(k)*((k1^2*alpha^2+k2^2)*k2*i1 ...
                      -k1*(i1^2*alpha^2+i2^2)*i2+i2*(k1^2*alpha^2+k2^2)*k1 ...
                      -k2*(i1^2*alpha^2+i2^2)*i1)*pi^2 ...
                     *(((i1==j1+k1) && (i2==-j2-k2)) ||((k1==i1+j1)&&(-k2==i2-j2))) ...
                     *(-1)^(floor(k1/2)+k2+1)*(k1*k2~=0)*(-1)^(floor(j1/2)+j2)*(j1*j2~=0)*(mod(j1,2)==0) ...
                     +Phi(k)*((k1^2*alpha^2+k2^2)*k2*i1 ...
                      +k1*(i1^2*alpha^2+i2^2)*i2-i2*(k1^2*alpha^2+k2^2)*k1 ...
                      -k2*(i1^2*alpha^2+i2^2)*i1)*pi^2 ...
                     *(((i1==j1+k1) && (-i2==-j2-k2)) ||((k1==i1+j1)&&(-k2==-i2-j2))) ...
                     *(-1)^(floor(k1/2)+k2+1)*(k1*k2~=0)*(-1)^(floor(j1/2)+j2)*(j1*j2~=0)*(mod(j1,2)==0) ...
                     *(-1)^(floor(i1/2)+i2)*(i1*i2~=0)*(mod(i1,2)==0) ...
                     -Phi(k)*(-(k1^2*alpha^2+k2^2)*k2*i1 ...
                      -k1*(i1^2*alpha^2+i2^2)*i2+i2*(k1^2*alpha^2+k2^2)*k1 ...
                      +k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*((j1==i1+k1)&&(j2==i2+k2)) ...
                  -Phi(k)*(-(k1^2*alpha^2+k2^2)*k2*i1 ...
                      +k1*(i1^2*alpha^2+i2^2)*i2-i2*(k1^2*alpha^2+k2^2)*k1 ...
                      +k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*((j1==i1+k1)&&(j2==-i2+k2)) ...
                      *(-1)^(floor(i1/2)+i2)*(i1*i2~=0)*(mod(i1,2)==0) ...
                      -Phi(k)*(-(k1^2*alpha^2+k2^2)*k2*i1 ...
                      -k1*(i1^2*alpha^2+i2^2)*i2+i2*(k1^2*alpha^2+k2^2)*k1 ...
                      +k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*((j1==i1+k1)&&(-j2==i2+k2)) ...;
                      *(-1)^(floor(j1/2)+j2)*(j1*j2~=0)*(mod(j1,2)==0) ...
                      -Phi(k)*((k1^2*alpha^2+k2^2)*k2*i1 ...
                      -k1*(i1^2*alpha^2+i2^2)*i2+i2*(k1^2*alpha^2+k2^2)*k1 ...
                      -k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*((j1==i1+k1)&&(j2==i2-k2))*(-1)^(floor(k1/2)+k2+1)*(k1*k2~=0) ...
                      -Phi(k)*(-(k1^2*alpha^2+k2^2)*k2*i1 ...
                      +k1*(i1^2*alpha^2+i2^2)*i2-i2*(k1^2*alpha^2+k2^2)*k1 ...
                      +k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*((j1==i1+k1)&&(-j2==-i2+k2)) ...
                      *(-1)^(floor(j1/2)+j2)*(j1*j2~=0)*(mod(j1,2)==0)*(-1)^(floor(i1/2)+i2)*(i1*i2~=0)*(mod(i1,2)==0) ...
                      -Phi(k)*((k1^2*alpha^2+k2^2)*k2*i1 ...
                      +k1*(i1^2*alpha^2+i2^2)*i2-i2*(k1^2*alpha^2+k2^2)*k1 ...
                      -k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*((j1==i1+k1)&&(j2==-i2-k2)) ...
                      *(-1)^(floor(i1/2)+i2)*(i1*i2~=0)*(mod(i1,2)==0)*(-1)^(floor(k1/2)+k2+1)*(k1*k2~=0) ...
                      -Phi(k)*((k1^2*alpha^2+k2^2)*k2*i1 ...
                      -k1*(i1^2*alpha^2+i2^2)*i2+i2*(k1^2*alpha^2+k2^2)*k1 ...
                      -k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*((j1==i1+k1)&&(-j2==i2-k2)) ...
                      *(-1)^(floor(k1/2)+k2+1)*(k1*k2~=0)*(-1)^(floor(j1/2)+j2)*(j1*j2~=0)*(mod(j1,2)==0) ...
                      -Phi(k)*((k1^2*alpha^2+k2^2)*k2*i1 ...
                      +k1*(i1^2*alpha^2+i2^2)*i2-i2*(k1^2*alpha^2+k2^2)*k1 ...
                      -k2*(i1^2*alpha^2+i2^2)*i1)*pi^2*((j1==i1+k1)&&(-j2==-i2-k2)) ...
                      *(-1)^(floor(i1/2)+i2)*(i1*i2~=0)*(mod(i1,2)==0)*(-1)^(floor(k1/2)+k2+1)*(k1*k2~=0) ...
                      *(-1)^(floor(j1/2)+j2)*(j1*j2~=0)*(mod(j1,2)==0);
 
             end
  end
  end
   G23=G21*Phi;  
   G21=G21*R;
  G13=1/2*G11*Phi; 
   B1=2*G13*R;
   B1(1)=B1(1)-2*pi^2/alpha;
   B2=2*G23*R;   
   G11=D1+G11*R;
  G12=zeros(Ms,Ma); 
  G22=D2+G22*R;  
G31=zeros(1,Ms);
G32=zeros(1,Ma);
G32(N/2*N+N+1)=1;
G33=0;
G=[G11 G12 G13
    G21 G22 G23
    G31 G32 G33];
  B=[B1 
      B2
      B3];
   pb=G\B;
   Phib=zeros(Ms,1);
   Psib=zeros(Ma,1);
   for  i=1:Ms
       Phib(i)=pb(i);
   end
   for i=1:Ma
       Psib(i)=pb(i+Ms);
   end
   Rb=pb(2*N+2*(N*N)+1);
    el2(Phi-Phib,L1)/el2(Phi,L1)
    el2(Psi-Psib,L2)/el2(Psi,L2)
    abs(Rb-R)
   if (el2(Phi-Phib,L1)/el2(Phi,L1)<1E-7)&&(el2(Psi-Psib,L2)/el2(Psi,L2)<1E-7) &&(abs(Rb-R)<1e-7)
      Phi=Phib; %% the approximate solution
      Psi=Psib;
      R=Rb;
      iter 
      break;
  end
  Phi=Phib; %renew  
  Psi=Psib;
  R=Rb;
  
  if iter==100
    disp('fail')
  end
    end 
   pG2 %see pG2.m, the sign of basis function Theta_1 and Theta_2
   %% plot the approximate solution Phi and Psi
  M=50;
  mesh1=linspace(-pi/alpha, pi/alpha, M);
 mesh2=linspace(-pi,pi,M);
[x,y]=meshgrid(mesh1,mesh2);
 newphi=zeros(M,M);
 newpsi=zeros(M,M);
  for s=1:M
   for t=1:M
   for i=1:3*N/2
    i1=list2(i,1);
    i2=list2(i,2);
    newphi(s,t)=newphi(s,t)+Phi(i)*cos(i1*alpha*x(1,s)+i2*y(t));
   end
    for i=3*N/2+1:Ms
        i1=list2(i,1);
        i2=list2(i,2);
        newphi(s,t)=newphi(s,t)+Phi(i)*(cos(i1*alpha*x(1,s)+i2*y(t))+ss(i)*cos(i1*alpha*x(1,s)-i2*y(t)));
    end
   for j=1:N^2/2
       j1=list3(j,1);
       j2=list3(j,2);
        newpsi(s,t)=newpsi(s,t)+Psi(j)*(cos(j1*alpha*x(1,s)+j2*y(t))+sa(j)*cos(j1*alpha*x(1,s)-j2*y(t))); 
   end
   for j=N^2/2:Ma
       j1=list3(j,1);
       j2=list3(j,2);
       newpsi(s,t)=newpsi(s,t)+Psi(j)*(cos(j1*alpha*x(1,s)+j2*y(t))); 
   end 
   end
  end
  subplot(1,2,1)
  plot3(x,y,newphi);  
  subplot(1,2,2)
  plot3(x,y,newpsi);
  save R4.8072N42
   